Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.resource.adapter.mail.inflow
Class NewMsgsWorker

    java.lang.Object
      org.jboss.resource.adapter.mail.inflow.NewMsgsWorker

All Implemented Interfaces:
  EventListener, Runnable, javax.resource.spi.work.Work, javax.resource.spi.work.WorkListener

public class NewMsgsWorker
extends Object
implements javax.resource.spi.work.Work, javax.resource.spi.work.WorkListener

Version:
  $Revision: 1.1 $
Author:
  Scott.Stark@jboss.org

Constructor Summary
`NewMsgsWorker(javax.resource.spi.work.WorkManager mgr)`

Method Summary
`void` | `release()`
`void` | `run()`
`void` | `watch(MailActivation activation)`
`void` | `workAccepted(javax.resource.spi.work.WorkEvent e)`
`void` | `workCompleted(javax.resource.spi.work.WorkEvent e)`
`void` | `workRejected(javax.resource.spi.work.WorkEvent e)`
`void` | `workStarted(javax.resource.spi.work.WorkEvent e)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NewMsgsWorker

    public NewMsgsWorker(javax.resource.spi.work.WorkManager mgr)

Method Detail

### watch

    public void watch(MailActivation activation)
               throws InterruptedException

  Throws:
    `InterruptedException`

### release

    public void release()

  Specified by:
    `release` in interface `javax.resource.spi.work.Work`

### run

    public void run()

  Specified by:
    `run` in interface `Runnable`

### workAccepted

    public void workAccepted(javax.resource.spi.work.WorkEvent e)

  Specified by:
    `workAccepted` in interface `javax.resource.spi.work.WorkListener`

### workRejected

    public void workRejected(javax.resource.spi.work.WorkEvent e)

  Specified by:
    `workRejected` in interface `javax.resource.spi.work.WorkListener`

### workStarted

    public void workStarted(javax.resource.spi.work.WorkEvent e)

  Specified by:
    `workStarted` in interface `javax.resource.spi.work.WorkListener`

### workCompleted

    public void workCompleted(javax.resource.spi.work.WorkEvent e)

  Specified by:
    `workCompleted` in interface `javax.resource.spi.work.WorkListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.